{#
/**
 * Default theme implementation for Views to output a Fullcalendar View.
 *
 * Available variables:
 * - options: View plugin style options:
 *   - classes: CSS classes.
 *   - defaultDate: Default date of the calendar
 *   - start: Field name of start date
 *   - end: Field name of end date
 *
 * @see template_preprocess_views_view_fullcalendar()
 *
 * @ingroup themeable
 */
#}
{%
  set classes = [
    options.classes
  ]
%}
<div{{ attributes.addClass(classes) }}>
  <div id="calendar"></div>
  <div id="bottom-buttons fc-button-group">
    {% if showAddEvent %}
    <div class="fullcalendar-bottom-btn add-event-btn">
        <a id="calendar-add-event"  href="{{ language }}fullcalendar-view-event-add?entity={{ entity_id }}&bundle={{ options.bundle_type }}&start_field={{ options.start }}&end_field={{ options.end }}&destination={{ path('<current>') }}" class="use-ajax" data-dialog-type="dialog" data-dialog-renderer="off_canvas"
   data-dialog-options="{&quot;width&quot;:400}">{{ 'Add event'|t }}</a>
    </div>
    {% endif %}
    <div class="fullcalendar-bottom-btn locale-selector">
      <label for="locale-selector">{{ 'Select Language:'|t }}</label>
      <select id='locale-selector'></select>
    </div>
  </div>
</div>